Subject: Re: You have to fix this

From: Vipul Pandya <[email-masked]>
Date: Fri, 28 Sep 2012 17:29:22 +0530

On 28-09-2012 04:04, David Miller wrote:
> 
> You cannot put such monster sized local data objects on the stack:
> 
> drivers/net/ethernet/chelsio/cxgb4/t4_hw.c: In function ‘t4_memory_rw.constprop.6’:
> drivers/net/ethernet/chelsio/cxgb4/t4_hw.c:484:1: warning: the frame size of 2056 bytes is larger than 2048 bytes [-Wframe-larger-than=]
> 
> That's because of this thing:
> 
> 		__be32 data[MEMWIN0_APERTURE/sizeof(__be32)];
> 
> I'm really surprised this didn't show up in any of your test builds.
> Or are you ignoring warnings that your changes add?
> 

Thanks for pointing this out. We will send a patch for this soon.
I am not ignoring any warnings. I did build my tree different way as
shown below but did not get above warning message.
#> make
#> make allmodconfig
#> make allnoconfig

Please let me know how else would I get above warning message?

I missed doing make checkstack which doesn't display warning message but
lists the function names.

Thanks,
Vipul Pandya